﻿using System;
using Telligent.Evolution.Extensibility.Api.Entities.Version1;
using Telligent.Evolution.Extensibility.Content.Version1;

namespace Samples.Links
{
    public class LinkItem : ApiEntity, IContent
    {
        public Guid ApplicationId { get; set; }
        public string Name { get; set; }
        public string Description { get; set; }

        #region IContent Members
        public Guid ContentId { get; set; }

        public Guid ContentTypeId
        {
            get { return ContentTypes.LinksItemId; }
        }

        public IApplication Application
        {
            get { return LinksData.GetApplication(ApplicationId); }
        }

        public string HtmlName(string target)
        {
            return Name;
        }

        public string HtmlDescription(string target)
        {
            return Description;
        }

        public string Url { get; set; }

        public DateTime CreatedDate { get; set; }

        public bool IsEnabled
        {
            get { return true; }
        }

        string IContent.AvatarUrl
        {
            get { return null; }
        }

        int? IContent.CreatedByUserId
        {
            get { return null; }
        }

        #endregion
    }
}
