﻿using System;
using Telligent.Evolution.Extensibility;
using Telligent.Evolution.Extensibility.Api.Entities.Version1;
using Telligent.Evolution.Extensibility.Api.Version1;
using Telligent.Evolution.Extensibility.Content.Version1;

namespace Samples.Links
{
    public class LinksApplication : ApiEntity, IApplication
    {
        public string Name { get; set; }
        public string Description { get; set; }

        #region IApplication Members
        public Guid ApplicationId { get; set; }

        public Guid ApplicationTypeId
        {
            get { return ContentTypes.LinksApplicationId; }
        }

        public string HtmlName(string target)
        {
            return Name;
        }

        public string HtmlDescription(string target)
        {
            return Description;
        }

        public bool IsEnabled
        {
            get { return true; }
        }

        public IContainer Container
        {
            get { return Apis.Get<IGroups>().Root; }
        }

        string IApplication.AvatarUrl
        {
            get { return null; }
        }

        string IApplication.Url
        {
            get { return null; }
        }
        #endregion
    }
}
