﻿using System;
using Telligent.Evolution.Extensibility.Content.Version1;
using Telligent.Evolution.Extensibility.Version1;
using IContent = Telligent.Evolution.Extensibility.Content.Version1.IContent;

namespace Samples.Links
{
    public class LinkItemContentType : IContentType, ITranslatablePlugin
    {
        IContentStateChanges _contentState = null;
        ITranslatablePluginController _translations = null;

        #region IPlugin Members
        string IPlugin.Name
        {
            get { return "Link Items"; }
        }
        string IPlugin.Description
        {
            get { return "Items in a Links collection"; }
        }

        void IPlugin.Initialize()
        {

        }
        #endregion

        #region IContentType Members
        Guid[] IContentType.ApplicationTypes
        {
            get { return new Guid[] { ContentTypes.LinksApplicationId }; }
        }

        void IContentType.AttachChangeEvents(IContentStateChanges stateChanges)
        {
            _contentState = stateChanges;
        }

        Guid IContentType.ContentTypeId
        {
            get { return ContentTypes.LinksItemId; }
        }

        string IContentType.ContentTypeName
        {
            get { return _translations.GetLanguageResourceValue("ContentTypeName"); }
        }

        IContent IContentType.Get(Guid contentId)
        {
            return LinksData.GetLink(contentId);
        }
        #endregion

        #region ITranslatablePlugin Members
        Translation[] ITranslatablePlugin.DefaultTranslations
        {
            get
            {
                var t = new Translation("en-US");
                t.Set("ContentTypeName", "Link Item");
                return new Translation[] { t };
            }
        }

        void ITranslatablePlugin.SetController(ITranslatablePluginController controller)
        {
            _translations = controller;
        }
        #endregion
    }
}
