﻿using System;
using Telligent.Evolution.Extensibility.Api.Entities.Version1;
using Telligent.Evolution.Extensibility.UI.Version1;

namespace Samples.Links.WidgetApi
{
    public class LinkItemWidgetExtension : IScriptedContentFragmentExtension
    {
        #region IScriptedContentFragmentExtension Members

        public string ExtensionName
        {
            get { return "telligent_v1_linkitem"; }
        }

        public object Extension
        {
            get { return new LinkItemMethods(); }
        }

        #endregion

        #region IPlugin Members

        public string Name
        {
            get { return "LinkItem Extension (telligent_v1_linkitem)"; }
        }

        public string Description
        {
            get { return "Enables widgets to work with Link Items."; }
        }

        public void Initialize()
        {
        }

        #endregion
    }

    public class LinkItemMethods
    {
        public ApiList<LinkItem> List(Guid applicationId)
        {
            return new ApiList<LinkItem>(LinksData.ListLinks(applicationId));
        }

        public LinkItem Get(Guid contentId)
        {
            return LinksData.GetLink(contentId);
        }
    }
}
