﻿using System;
using Telligent.Evolution.Extensibility.Api.Entities.Version1;
using Telligent.Evolution.Extensibility.UI.Version1;

namespace Samples.Links.WidgetApi
{
    public class LinksApplicationWidgetExtension : IScriptedContentFragmentExtension
    {
        #region IScriptedContentFragmentExtension Members

        public string ExtensionName
        {
            get { return "telligent_v1_links"; }
        }

        public object Extension
        {
            get { return new LinksApplicationMethods(); }
        }

        #endregion

        #region IPlugin Members

        public string Name
        {
            get { return "Links Extension (telligent_v1_links)"; }
        }

        public string Description
        {
            get { return "Enables widgets to work with Links Applications."; }
        }

        public void Initialize()
        {
        }
        #endregion
    }

    public class LinksApplicationMethods
    {
        public ApiList<LinksApplication> List()
        {
            return new ApiList<LinksApplication>(LinksData.ListApplications());
        }

        public LinksApplication Get(Guid applicationId)
        {
            return LinksData.GetApplication(applicationId);
        }
    }
}
