﻿using System;
using System.Collections.Generic;
using Samples.Links.WidgetApi;
using Telligent.Evolution.Extensibility.Version1;

namespace Samples.Links.Plugins
{
    public class LinksPluginGroup : IPluginGroup
    {
        #region IPlugin Members
        string IPlugin.Name
        {
            get { return "Links Application"; }
        }
        string IPlugin.Description
        {
            get { return "Defines the plugins required by the links application"; }
        }

        void IPlugin.Initialize()
        {

        }
        #endregion

        #region IPluginGroup Members
        IEnumerable<Type> IPluginGroup.Plugins
        {
            get
            {
                return new[]
                {
                    typeof (LinksApplicationType),
                    typeof (LinkItemContentType),
                    typeof (LinkItemWidgetExtension),
                    typeof (LinksApplicationWidgetExtension)
                };
            }
        }
        #endregion
    }
}
